-v 0.7.0 安装GR时,test总是报错:未加载“libGR.dll"


#1

说起来惭愧,已经好几天了,还没有解决这个问题。
正如题目说的那样,在使用GR.plot()方法时总是出现未加载libGR.dll的错误。试过了很多方法,比如ENV["GRIDR"]="";Pkg.build("GR"),也试过了将安装好的GR的libGR.dlllibgsk.dll文件移到packages\GR\deps路径下,但是都没有用。-V 0.6.4也试过了,同样的问题。在Github上提交了Issue,只是现在依旧没有找到解决的方法。希望大声能够指点一下。谢谢!


Version 1.1.1 的 GR包
#2

You have a typo.

Pkg.update()
ENV["GRDIR"]=""
Pkg.build("GR")

#3

打错了。。。不过,ENV["GRDIR"]也试过了,不好用。不过现在装好了。我重新build了一下,这一build就是一晚上。可能之前没有build完就强制退出了,所以一直都没装好。不过,话说这个build的真的很慢啊。谢谢你了


#4

GR這個軟件包其實很有歷史的。我今天研究了一下,給你幾個鏈接:

https://gr-framework.org/

https://gr-framework.org/python.html

https://gr-framework.org/julia.html

https://gr-framework.org/c.html

GKS


#5

好的,谢谢,我会看的